Ball ball; //declare a custom object of type Ball
Paddle paddle; //declare a custom object of type Paddle

void setup()
{
  size(800, 600);
  
  //when using objects we must use "new" to allocate space and call their constructors
  ball = new Ball(); 
  paddle = new Paddle(20, 100);
}

void draw()
{
  background(0);
  
  paddle.update(); //update movement - this is a custom function, can be called anything
  paddle.display(); //drawing code for paddle - can be called anything except "draw"
  
  ball.update(); //update movement
  ball.display(); //draw ball
  
  float ballLeft = ball.x - ball.size/2;
  boolean isHit = paddle.hit(ballLeft, ball.y);
  if(isHit)
  {
    println("HIT!!!!!");
    ball.xDir *= -1;
  }
}