class Ball
{
  float x;
  float y;
  int xDir;
  int yDir;
  float speed;
  float size;
  
  //Constructor - how to make each new Ball
  Ball()
  {
     x = width/2;
     y = height/2;
     xDir = 1;
     yDir = 1;
     speed = 10;
     size  = 20;
  }
  
  //A custom function to update the ball's movement
  //Can be called anything, but "update" is typical
  void update()
  {
    x += xDir*speed; //add speed in the x direction
    if(x >= width) //if hitting the right side of the screen, invert x dir
    {
        xDir *= -1;
    }
    
    y += yDir*speed; //add speed in the y direction
    if(y >= height || y <= 0) //if hitting the top or bottom of screen, invert y dir
    {
        yDir *= -1;
    }
  }
  
  void display()
  {
     ellipse(x, y, size, size); 
  }
  
}