class Paddle
{
  float x;
  float y;
  float w;
  float h;
  
  //Constructor - how to make each new Ball
  Paddle(int paddleWidth, int paddleHeight)
  {
    x = 0;
    w = paddleWidth;
    h = paddleHeight;
  }
  
  //A simple update function for the paddle, just move to center to the mouseY location
  void update()
  {
    y = mouseY-h/2;
  }
  
  void display()
  {
     //rect(x, mouseY-h/2, w, h); //before we had update()
     rect(x, y, w, h);
  }
  
  //Tell us if the paddle was hit
  boolean hit(float objectX, float objectY)
  {
    float paddleRight = x + w;
    float paddleTop = y;
    float paddleBottom = y + h;
    if(objectX <= paddleRight && objectY >= paddleTop && objectY <= paddleBottom)
    {
      return true; // it's hit!
    }
    else
    {
      return false; //not hit
    }
  }
  
}